<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.stream.Stream</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.stream-module.html">Module&nbsp;stream</a> ::
        Class&nbsp;Stream
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class Stream</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.stream-pysrc.html#Stream">source&nbsp;code</a></span></p>
<pre class="base-tree">
           <a href="pyxmpp.streamtls.StreamTLSMixIn-class.html">streamtls.StreamTLSMixIn</a> --+
                                      |
      <a href="pyxmpp.sasl.core.PasswordManager-class.html">sasl.core.PasswordManager</a> --+   |
                                  |   |
         <a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html">streamsasl.StreamSASLMixIn</a> --+
                                      |
<a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html">stanzaprocessor.StanzaProcessor</a> --+   |
                                  |   |
         <a href="pyxmpp.xmlextra.StreamHandler-class.html">xmlextra.StreamHandler</a> --+   |
                                  |   |
              <a href="pyxmpp.streambase.StreamBase-class.html">streambase.StreamBase</a> --+
                                      |
                                     <strong class="uidshort">Stream</strong>
</pre>

<dl><dt>Known Subclasses:</dt>
<dd>
      <ul class="subclass-list">
<li><a href="pyxmpp.clientstream.ClientStream-class.html">clientstream.ClientStream</a></li><li>, <a href="pyxmpp.jabberd.componentstream.ComponentStream-class.html">jabberd.componentstream.ComponentStream</a></li>  </ul>
</dd></dl>

<hr />
<p>Generic XMPP stream class.</p>
<p>Responsible for establishing connection, parsing the stream,
StartTLS encryption and SASL authentication negotiation
and usage, dispatching received stanzas to apopriate handlers
and sending application's stanzas.</p>
<p>Whenever we say &quot;stream&quot; here we actually mean two streams
(incoming and outgoing) of one connections, as defined by the XMPP
specification.</p>

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stream.Stream-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">default_ns</span>,
        <span class="summary-sig-arg">extra_ns</span>=<span class="summary-sig-default"><code class="variable-group">(</code><code class="variable-group">)</code></span>,
        <span class="summary-sig-arg">sasl_mechanisms</span>=<span class="summary-sig-default"><code class="variable-group">(</code><code class="variable-group">)</code></span>,
        <span class="summary-sig-arg">tls_settings</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">keepalive</span>=<span class="summary-sig-default">0</span>,
        <span class="summary-sig-arg">owner</span>=<span class="summary-sig-default">None</span>)</span><br />
      Initialize Stream object</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stream-pysrc.html#Stream.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stream.Stream-class.html#_got_features" class="summary-sig-name" onclick="show_private();">_got_features</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Process incoming &lt;stream:features/&gt; element.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stream-pysrc.html#Stream._got_features">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stream.Stream-class.html#_make_stream_features" class="summary-sig-name" onclick="show_private();">_make_stream_features</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Create the &lt;features/&gt; element for the stream.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stream-pysrc.html#Stream._make_stream_features">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stream.Stream-class.html#_process_node" class="summary-sig-name" onclick="show_private();">_process_node</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">xmlnode</span>)</span><br />
      Process first level element of the stream.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stream-pysrc.html#Stream._process_node">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stream.Stream-class.html#_reset" class="summary-sig-name" onclick="show_private();">_reset</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Reset <a href="pyxmpp.stream.Stream-class.html" class="link">Stream</a> object state making it ready to handle new
connections.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stream-pysrc.html#Stream._reset">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html">streamtls.StreamTLSMixIn</a></code></b>:
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#get_tls_connection">get_tls_connection</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#tls_is_certificate_valid">tls_is_certificate_valid</a></code>
      </p>
    <div class="private">    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html">streamtls.StreamTLSMixIn</a></code></b> (private):
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_handle_tls_features" onclick="show_private();">_handle_tls_features</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_make_stream_tls_features" onclick="show_private();">_make_stream_tls_features</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_make_tls_connection" onclick="show_private();">_make_tls_connection</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_process" onclick="show_private();">_process</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_process_node_tls" onclick="show_private();">_process_node_tls</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_process_tls_node" onclick="show_private();">_process_tls_node</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_read" onclick="show_private();">_read</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_read_tls" onclick="show_private();">_read_tls</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_request_tls" onclick="show_private();">_request_tls</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_reset_tls" onclick="show_private();">_reset_tls</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_write_raw" onclick="show_private();">_write_raw</a></code>
      </p></div>
    <div class="private">    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html">streamsasl.StreamSASLMixIn</a></code></b> (private):
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_handle_sasl_features" onclick="show_private();">_handle_sasl_features</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_make_stream_sasl_features" onclick="show_private();">_make_stream_sasl_features</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_node_sasl" onclick="show_private();">_process_node_sasl</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_abort" onclick="show_private();">_process_sasl_abort</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_auth" onclick="show_private();">_process_sasl_auth</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_challenge" onclick="show_private();">_process_sasl_challenge</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_failure" onclick="show_private();">_process_sasl_failure</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_node" onclick="show_private();">_process_sasl_node</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_response" onclick="show_private();">_process_sasl_response</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_success" onclick="show_private();">_process_sasl_success</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_reset_sasl" onclick="show_private();">_reset_sasl</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_sasl_authenticate" onclick="show_private();">_sasl_authenticate</a></code>
      </p></div>
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.sasl.core.PasswordManager-class.html">sasl.core.PasswordManager</a></code></b>:
      <code><a href="pyxmpp.sasl.core.PasswordManager-class.html#check_authzid">check_authzid</a></code>,
      <code><a href="pyxmpp.sasl.core.PasswordManager-class.html#check_password">check_password</a></code>,
      <code><a href="pyxmpp.sasl.core.PasswordManager-class.html#choose_realm">choose_realm</a></code>,
      <code><a href="pyxmpp.sasl.core.PasswordManager-class.html#generate_nonce">generate_nonce</a></code>,
      <code><a href="pyxmpp.sasl.core.PasswordManager-class.html#get_password">get_password</a></code>,
      <code><a href="pyxmpp.sasl.core.PasswordManager-class.html#get_realms">get_realms</a></code>,
      <code><a href="pyxmpp.sasl.core.PasswordManager-class.html#get_serv_host">get_serv_host</a></code>,
      <code><a href="pyxmpp.sasl.core.PasswordManager-class.html#get_serv_name">get_serv_name</a></code>,
      <code><a href="pyxmpp.sasl.core.PasswordManager-class.html#get_serv_type">get_serv_type</a></code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.streambase.StreamBase-class.html">streambase.StreamBase</a></code></b>:
      <code><a href="pyxmpp.streambase.StreamBase-class.html#__del__">__del__</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#accept">accept</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#bind">bind</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#check_to">check_to</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#close">close</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#connect">connect</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#connected">connected</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#disconnect">disconnect</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#error">error</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#fileno">fileno</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#generate_id">generate_id</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#idle">idle</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#loop">loop</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#loop_iter">loop_iter</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#process">process</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#process_stream_error">process_stream_error</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#send">send</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#stanza">stanza</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#stanza_start">stanza_start</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#state_change">state_change</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#stream_end">stream_end</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#stream_start">stream_start</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#write_raw">write_raw</a></code>
      </p>
    <div class="private">    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.streambase.StreamBase-class.html">streambase.StreamBase</a></code></b> (private):
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_accept" onclick="show_private();">_accept</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_bind_error" onclick="show_private();">_bind_error</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_bind_success" onclick="show_private();">_bind_success</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_close" onclick="show_private();">_close</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_connect" onclick="show_private();">_connect</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_connect_socket" onclick="show_private();">_connect_socket</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_disconnect" onclick="show_private();">_disconnect</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_feed_reader" onclick="show_private();">_feed_reader</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_idle" onclick="show_private();">_idle</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_loop_iter" onclick="show_private();">_loop_iter</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_make_reader" onclick="show_private();">_make_reader</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_post_auth" onclick="show_private();">_post_auth</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_post_connect" onclick="show_private();">_post_connect</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_process_stream_node" onclick="show_private();">_process_stream_node</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_restart_stream" onclick="show_private();">_restart_stream</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_send" onclick="show_private();">_send</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_send_stream_end" onclick="show_private();">_send_stream_end</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_send_stream_error" onclick="show_private();">_send_stream_error</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_send_stream_features" onclick="show_private();">_send_stream_features</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_send_stream_start" onclick="show_private();">_send_stream_start</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_write_node" onclick="show_private();">_write_node</a></code>
      </p></div>
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html">stanzaprocessor.StanzaProcessor</a></code></b>:
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#fix_in_stanza">fix_in_stanza</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#fix_out_stanza">fix_out_stanza</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#process_iq">process_iq</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#process_message">process_message</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#process_presence">process_presence</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#process_response">process_response</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#process_stanza">process_stanza</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#route_stanza">route_stanza</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#set_iq_get_handler">set_iq_get_handler</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#set_iq_set_handler">set_iq_set_handler</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#set_message_handler">set_message_handler</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#set_presence_handler">set_presence_handler</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#set_response_handlers">set_response_handlers</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#unset_iq_get_handler">unset_iq_get_handler</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#unset_iq_set_handler">unset_iq_set_handler</a></code>
      </p>
    <div class="private">    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html">stanzaprocessor.StanzaProcessor</a></code></b> (private):
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#_set_response_handlers" onclick="show_private();">_set_response_handlers</a></code>
      </p></div>
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.xmlextra.StreamHandler-class.html">xmlextra.StreamHandler</a></code></b>:
      <code><a href="pyxmpp.xmlextra.StreamHandler-class.html#warning">warning</a></code>
      </p>
    <div class="private">    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.xmlextra.StreamHandler-class.html">xmlextra.StreamHandler</a></code></b> (private):
      <code><a href="pyxmpp.xmlextra.StreamHandler-class.html#_stanza" onclick="show_private();">_stanza</a></code>,
      <code><a href="pyxmpp.xmlextra.StreamHandler-class.html#_stream_end" onclick="show_private();">_stream_end</a></code>,
      <code><a href="pyxmpp.xmlextra.StreamHandler-class.html#_stream_start" onclick="show_private();">_stream_start</a></code>
      </p></div>
    </td>
  </tr>
</table>
<!-- ==================== INSTANCE VARIABLES ==================== -->
<a name="section-InstanceVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="_reader"></a><span class="summary-name">_reader</span><br />
      : the stream reader object (push parser) for the stream.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="features"></a><span class="summary-name">features</span><br />
      : stream features as annouced by the initiator.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="initiator"></a><span class="summary-name">initiator</span><br />
      : <code class="link">True</code> if local stream endpoint is the initiating entity.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="lock"></a><span class="summary-name">lock</span><br />
      : lock object used to synchronize access to the
<a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html" class="link">StanzaProcessor</a> object.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="me"></a><span class="summary-name">me</span><br />
      : local JID.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="peer"></a><span class="summary-name">peer</span><br />
      : remote stream endpoint JID.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="process_all_stanzas"></a><span class="summary-name">process_all_stanzas</span><br />
      : when <code class="link">True</code> then all stanzas received are
considered local.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="tls"></a><span class="summary-name">tls</span><br />
      : TLS connection object.
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.streambase.StreamBase-class.html">streambase.StreamBase</a></code></b>:
      <code><a href="pyxmpp.streambase.StreamBase-class.html#owner">owner</a></code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">default_ns</span>,
        <span class="sig-arg">extra_ns</span>=<span class="sig-default"><code class="variable-group">(</code><code class="variable-group">)</code></span>,
        <span class="sig-arg">sasl_mechanisms</span>=<span class="sig-default"><code class="variable-group">(</code><code class="variable-group">)</code></span>,
        <span class="sig-arg">tls_settings</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">keepalive</span>=<span class="sig-default">0</span>,
        <span class="sig-arg">owner</span>=<span class="sig-default">None</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stream-pysrc.html#Stream.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize Stream object
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>default_ns</code></strong> - : stream's default namespace (&quot;jabber:client&quot; for
client, &quot;jabber:server&quot; for server, etc.)</li>
        <li><strong class="pname"><code>extra_ns</code></strong> - : sequence of extra namespace URIs to be defined for
the stream.</li>
        <li><strong class="pname"><code>sasl_mechanisms</code></strong> - : sequence of SASL mechanisms allowed for
authentication. Currently &quot;PLAIN&quot;, &quot;DIGEST-MD5&quot; and &quot;GSSAPI&quot; are supported.</li>
        <li><strong class="pname"><code>tls_settings</code></strong> - : settings for StartTLS -- <a href="pyxmpp.streamtls.TLSSettings-class.html" class="link">TLSSettings</a> instance.</li>
        <li><strong class="pname"><code>keepalive</code></strong> - : keepalive output interval. 0 to disable.</li>
        <li><strong class="pname"><code>owner</code></strong> - : <a href="pyxmpp.client.Client-class.html" class="link">Client</a>, <a href="pyxmpp.jabberd.component.Component-class.html" class="link">Component</a> or similar object &quot;owning&quot; this stream.</li>
    </ul></dd>
    <dt>Overrides:
        <a href="pyxmpp.xmlextra.StreamHandler-class.html#__init__">xmlextra.StreamHandler.__init__</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="_got_features"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_got_features</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stream-pysrc.html#Stream._got_features">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Process incoming &lt;stream:features/&gt; element.</p>
<p>[initiating entity only]</p>
<p>The received features node is available in <a href="pyxmpp.stream.Stream-class.html#features" class="link">self.features</a>.</p>
  <dl class="fields">
    <dt>Overrides:
        <a href="pyxmpp.streambase.StreamBase-class.html#_got_features" onclick="show_private();">streambase.StreamBase._got_features</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="_make_stream_features"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_make_stream_features</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stream-pysrc.html#Stream._make_stream_features">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Create the &lt;features/&gt; element for the stream.</p>
<p>[receving entity only]</p>
  <dl class="fields">
    <dt>Returns:</dt>
        <dd>new &lt;features/&gt; element node.</dd>
    <dt>Overrides:
        <a href="pyxmpp.streambase.StreamBase-class.html#_make_stream_features" onclick="show_private();">streambase.StreamBase._make_stream_features</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="_process_node"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_process_node</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">xmlnode</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stream-pysrc.html#Stream._process_node">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Process first level element of the stream.</p>
<p>The element may be stream error or features, StartTLS
request/response, SASL request/response or a stanza.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>xmlnode</code></strong> - : XML node describing the element</li>
    </ul></dd>
    <dt>Overrides:
        <a href="pyxmpp.streambase.StreamBase-class.html#_process_node" onclick="show_private();">streambase.StreamBase._process_node</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="_reset"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_reset</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stream-pysrc.html#Stream._reset">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Reset <a href="pyxmpp.stream.Stream-class.html" class="link">Stream</a> object state making it ready to handle new
connections.
  <dl class="fields">
    <dt>Overrides:
        <a href="pyxmpp.streambase.StreamBase-class.html#_reset" onclick="show_private();">streambase.StreamBase._reset</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:05 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
